\documentclass[11pt,a4paper]{article}
\input{preambule.tex}

\begin{document}

\input{title.tex}
\maketitle
%\tableofcontents
\input{introduction.tex} %introduction
\input{convex.tex} %section 2
\input{application.tex} %section 3
\input{discussion.tex} % section 4

\paragraph{Acknowledgements}
The authors gratefully acknowledge the support of the Czech Science Foundation (grant number 22-15524S).


\newpage
\printbibliography
\input{appendix.tex} %appendices


\end{document}


